org.apache.hadoop.mapred.join

## Enum Parser.TType

- java.lang.Object
- - java.lang.Enum<Parser.TType>
  - - org.apache.hadoop.mapred.join.Parser.TType

- All Implemented Interfaces:
    Serializable, Comparable<Parser.TType>
  Enclosing class:
    Parser

      @InterfaceAudience.Public
       @InterfaceStability.Evolving
      public static enum Parser.TType
      extends Enum<Parser.TType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CIF`
    `COMMA`
    `IDENT`
    `LPAREN`
    `NUM`
    `QUOT`
    `RPAREN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Parser.TType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Parser.TType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CIF

          public static final Parser.TType CIF

    - #### IDENT

          public static final Parser.TType IDENT

    - #### COMMA

          public static final Parser.TType COMMA

    - #### LPAREN

          public static final Parser.TType LPAREN

    - #### RPAREN

          public static final Parser.TType RPAREN

    - #### QUOT

          public static final Parser.TType QUOT

    - #### NUM

          public static final Parser.TType NUM

  - ### Method Detail

    - #### values

          public static Parser.TType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Parser.TType c : Parser.TType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Parser.TType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.